org.apache.poi.hemf.record.emf

## Class HemfDraw.EmfPolylineTo16

- java.lang.Object
- - org.apache.poi.hwmf.record.HwmfDraw.WmfPolygon
  - - org.apache.poi.hemf.record.emf.HemfDraw.EmfPolygon
    - - org.apache.poi.hemf.record.emf.HemfDraw.EmfPolyline
      - - org.apache.poi.hemf.record.emf.HemfDraw.EmfPolylineTo
        - - org.apache.poi.hemf.record.emf.HemfDraw.EmfPolylineTo16

- All Implemented Interfaces:
    GenericRecord, HemfRecord, HwmfRecord
  Enclosing class:
    HemfDraw

      public static class HemfDraw.EmfPolylineTo16
      extends HemfDraw.EmfPolylineTo

  The EMR_POLYLINETO16 record specifies one or more straight lines based upon the current position. A line is drawn from the current position to the first point specified by the points field by using the current pen. For each additional line, drawing is performed from the ending point of the previous line to the next point specified by points.

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwmf.record.HwmfDraw.WmfPolygon

      `poly`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmfPolylineTo16()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HemfRecordType` | `getEmfRecordType()`
    `protected long` | `readPoint(LittleEndianInputStream leis, java.awt.geom.Point2D point)`

    - ### Methods inherited from class org.apache.poi.hemf.record.emf.HemfDraw.EmfPolylineTo

      `draw, hasStartPoint`

    - ### Methods inherited from class org.apache.poi.hemf.record.emf.HemfDraw.EmfPolyline

      `getFillDrawStyle`

    - ### Methods inherited from class org.apache.poi.hemf.record.emf.HemfDraw.EmfPolygon

      `getBounds, getGenericProperties, getGenericRecordType, init`

    - ### Methods inherited from class org.apache.poi.hwmf.record.HwmfDraw.WmfPolygon

      `draw, getPoly, getWmfRecordType, init, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hemf.record.emf.HemfRecord

      `setHeader`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren`

- - ### Constructor Detail

    - #### EmfPolylineTo16

          public EmfPolylineTo16()

  - ### Method Detail

    - #### getEmfRecordType

          public HemfRecordType getEmfRecordType()

      Specified by:
        `getEmfRecordType` in interface `HemfRecord`
      Overrides:
        `getEmfRecordType` in class `HemfDraw.EmfPolylineTo`

    - #### readPoint

          protected long readPoint(LittleEndianInputStream leis,
                                   java.awt.geom.Point2D point)

      Overrides:
        `readPoint` in class `HemfDraw.EmfPolygon`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.